## com.ibm.lab.soln.dialogs
Interface IDialogsIDs

public interface IDialogsIDs

Definition of common key and string values that are used in the `com.ibm.lab.soln.dialogs` plug-in.

Field Summary
`static org.eclipse.core.runtime.QualifiedName` | `PROP_NAME_KEY` Key for string value to be stored as a resource property
`static java.lang.String[]` | `REDIT_OPTIONS` Options for the resource property user interface.
`static int` | `REDIT_PREFERENCES_DEFAULT` Key for boolean value to be stored as a resource property.
`static java.lang.String` | `REDIT_PREFERENCES_KEY` Key for boolean value to be stored as a resource property.
`static org.eclipse.core.runtime.QualifiedName` | `REDIT_PROPERTY_KEY` Key for boolean value to be stored as a resource property.
`static java.lang.String` | `TEXT_PREFERENCES_KEY` key for string value to be stored as a resource property
`static boolean` | `TRACE_ENABLED` Global Trace Control

Field Detail

### PROP_NAME_KEY

    public static final org.eclipse.core.runtime.QualifiedName PROP_NAME_KEY

  Key for string value to be stored as a resource property

### REDIT_OPTIONS

    public static final java.lang.String[] REDIT_OPTIONS

  Options for the resource property user interface. Used by the com.ibm.lab.soln.resources plugin if available.

### REDIT_PREFERENCES_DEFAULT

    public static final int REDIT_PREFERENCES_DEFAULT

  Key for boolean value to be stored as a resource property. Used by the com.ibm.lab.soln.resources plugin if available.

### REDIT_PREFERENCES_KEY

    public static final java.lang.String REDIT_PREFERENCES_KEY

  Key for boolean value to be stored as a resource property. Used by the com.ibm.lab.soln.resources plugin if available. If the value changes here, it must also change in the IResourceIDs interface.

### REDIT_PROPERTY_KEY

    public static final org.eclipse.core.runtime.QualifiedName REDIT_PROPERTY_KEY

  Key for boolean value to be stored as a resource property. Used by the com.ibm.lab.soln.resources plugin if available. If the value changes here, it must also change in the IResourceIDs interface.

### TEXT_PREFERENCES_KEY

    public static final java.lang.String TEXT_PREFERENCES_KEY

  key for string value to be stored as a resource property

### TRACE_ENABLED

    public static final boolean TRACE_ENABLED

  Global Trace Control